Bug 232431 - Seg fault on svn propget using svn_load_dirs.pl. when uploading Linux kernel sources.
Seg fault on svn propget using svn_load_dirs.pl. when uploading Linux kernel ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-15 10:36 EDT by Tomas Winkler
Modified: 2008-05-06 15:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:21:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Winkler 2007-03-15 10:36:11 EDT
Description of problem:
Seg fault on svn propget using svn_load_dirs.pl. when uploading Linux kernel
sources. 
It only fails on bulk checkins such as using svn_load_dirs.pl 
It used to work before but after it has stopped. I'm not sure if some of the
updates has broken the functionality.

Version-Release number of selected component (if applicable):

>rpm -qi subversion                                             
Name        : subversion                   Relocations: (not relocatable)
Version     : 1.4.2                             Vendor: Red Hat, Inc.
Release     : 2.fc6                         Build Date: Thu 09 Nov 2006 04:50:23
PM IST
Install Date: Mon 20 Nov 2006 04:43:12 AM IST      Build Host:
hs20-bc2-3.build.redhat.com

---------------

Linux 2.6.19-1.2911.6.4.fc6 #1 SMP Sat Feb 24 14:39:04 EST 2007 i686 i686 i386
GNU/Linux

How reproducible:
Always, but not always on the same file.
It only fails on the bulk 


Steps to Reproduce:
1.svn_load_dirs.pl <kernel-sources>
2.
3.
  
Actual results:
1. segmentation fault in svn propget
Not always on the same file, 

Expected results:
2. Kernel sources loaded into subversion

Additional info:

I was not able to debug it, didn't get the idea how  to using debuginfo packages 
----------------------
gdb /usr/bin/svn svn.core.1121        
GNU gdb Red Hat Linux (6.5-15.fc6rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".
 
Core was generated by `/usr/bin/svn propget svn:eol-style
arch/arm/kernel/vmlinux.lds.S SSH_AGENT_PID='.
Program terminated with signal 11, Segmentation fault.
#0  0x0023b402 in ?? ()
(gdb) bt
#0  0x0023b402 in ?? ()
Cannot access memory at address 0xbff452c8

-------------------
I've tried to compile 1.4.3 Subversion but it always fails in switch_test.py
unit testing while compiling.
Comment 1 Joe Orton 2007-04-02 08:39:38 EDT
There are 1.4.3 packages in updates-testing, is this reproducible there?

# yum --enablerepo=updates-testing update subversion
Comment 2 Bug Zapper 2008-04-04 02:32:22 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:21:27 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.